Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:           lure-it
Version:        1.1
Release:        2
Summary:        Lure of the Temptress - Adventure Game (IT)
Group:          Games/Adventure
License:        Freely redistributable without restriction
URL:            http://www.revolution.co.uk/_display.php?id=10
Source0:        http://downloads.sourceforge.net/scummvm/%{name}-%{version}.zip
Source1:        https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-0-11-1/dists/engine-data/lure.dat
Source2:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildArch:      noarch
Requires:       scummvm >= 0.11.1

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
Lure of the Temptress was Revolution's very first adventure game and work began
on it in 1989, even before Revolution's inception as an actual games
development company. From the start our aim was to consider the contemporary
adventures of the day and then bring something new to the genre. From this came
the Virtual Theatre engine. VT allowed in-game characters to wander around the
gameworld indepently of each other, living their own lives and doing their own
thing. Another feature allowed the player to give direct orders to Helper
characters - in this case Ratpouch - who would then go off to perform the task.

The result is a quirky and entertaining adventure game that kicked off
Revolution's fondness for characterisation and in-game humour.

%prep
%setup -q -n %{name}
sed -i 's/\r//g' README

%build
# Nothing to build data only

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_datadir/%{name}
install -p -m 644 *.VGA %{SOURCE1} $RPM_BUILD_ROOT%_datadir/%{name}

mkdir -p $RPM_BUILD_ROOT%_applications
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%_applications

%files
%defattr(-,root,root,-)
%doc *.txt Manual.pdf PROTECT.PDF README
%_datadir/%{name}
%_applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 19 2008 Christian Wasem <wasem@ccux-linux.de> 1.1-2
- change package group to Games/Adventure
* Sun Jun 22 2008 Christian Wasem <wasem@ccux-linux.de> 1.1-1
- Initial release